Bug 1198149 - Consider dropping SSL support
Summary: Consider dropping SSL support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: VirtualGL
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gary Gatling
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-03 13:22 UTC by Pär Lindfors
Modified: 2015-05-26 03:39 UTC (History)
2 users (show)

Fixed In Version: VirtualGL-2.4-4.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-19 16:15:18 UTC
Type: Bug


Attachments (Terms of Use)
Disable SSL support (1013 bytes, application/mbox)
2015-03-03 13:22 UTC, Pär Lindfors
no flags Details

Description Pär Lindfors 2015-03-03 13:22:37 UTC
Created attachment 997536 [details]
Disable SSL support

The current Fedora packages includes SSL support, and links
against the systems OpenSSL.

This resulted in segfaults on startup when we tried to run a
certain proprietory program using VirtualGL. This program was
linked against its own included, old, incompatible version of
OpenSSL.

Only solution we found was to rebuild the VirtualGL pacakges,
disabling OpenSSL support.

Using the binary RPMs from www.virtualgl.org also
works. According to upstream ChangeLog.txt the official packages
have not included SSL support since 2.2 beta1, saying among other
things that "It was only a marginally useful feature, because
VirtualGL also has the ability to tunnel the VGL Transport
through SSH."

Comment 1 Gary Gatling 2015-04-28 22:59:25 UTC
Hello Pär.

I apologize for net getting back to you sooner.

How did you disable ssl support in VirtualGL?

Like was there a switch you added to cmake in the spec file to disable ssl support?

Thanks.

Comment 2 Gary Gatling 2015-04-29 02:07:23 UTC
Hmnn.  -DVGL_USESSL=0 or OFF ? Ok. -DVGL_USESSL=OFF works. I will test this on my client to server in the morning. It seems to build ok and works with bumblebee.

Comment 3 Gary Gatling 2015-04-29 02:21:24 UTC
oic in your patch you just took out that line and the BuildRequires:  openssl-devel. Ok. That works for me.

Comment 4 Gary Gatling 2015-04-29 02:53:14 UTC
User already answered.

Comment 5 Fedora Update System 2015-05-05 19:53:03 UTC
VirtualGL-2.4-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/VirtualGL-2.4-4.fc22

Comment 6 Fedora Update System 2015-05-05 20:02:06 UTC
VirtualGL-2.4-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/VirtualGL-2.4-4.fc21

Comment 7 Fedora Update System 2015-05-05 20:10:43 UTC
VirtualGL-2.4-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/VirtualGL-2.4-4.fc20

Comment 8 Fedora Update System 2015-05-05 20:19:17 UTC
VirtualGL-2.4-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/VirtualGL-2.4-4.el6

Comment 9 Fedora Update System 2015-05-05 20:27:50 UTC
VirtualGL-2.4-4.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/VirtualGL-2.4-4.el7

Comment 10 Fedora Update System 2015-05-06 17:24:55 UTC
Package VirtualGL-2.4-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing VirtualGL-2.4-4.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6136/VirtualGL-2.4-4.el6
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-05-19 16:15:18 UTC
VirtualGL-2.4-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-05-19 16:21:20 UTC
VirtualGL-2.4-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-05-21 05:13:14 UTC
VirtualGL-2.4-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-05-21 05:13:48 UTC
VirtualGL-2.4-4.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-05-26 03:39:42 UTC
VirtualGL-2.4-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.